Bug 904274 - linuxbridge agent needs ability to use pre-configured physical network bridges
linuxbridge agent needs ability to use pre-configured physical network bridges
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
low Severity low
: Upstream M3
: 5.0 (RHEL 7)
Assigned To: lpeer
Ofer Blaut
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-01-25 17:38 EST by Bob Kukura
Modified: 2016-04-26 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-04-02 08:17:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1105488 None None None Never

  None (edit)
Description Bob Kukura 2013-01-25 17:38:37 EST
From rhos-list@redhat.com:


I am having problem in using the Quantum in on a single flat network.

I am using it in Linux bridge mode.
My compute node is having only one network. On which I pre created a bridge br10.

When I instantiated a machine I compute node become inaccesible. I checked the logs and found that it has changed my bridge configuration.

It has created a new bridge. with name of br<12 characters of Network ID> This seems to be little cryptic in identification.

Is there any way I can define the existing Bridge name to be used for a particular Network ID?
Currently Quantum checks if the Bridge exists it just creates a TUN device.
So If I pre create the Bridge then it will not change it


RFE bug 1105488 filed upstream:

The linuxbridge agent currently creates a bridge for each physical network used as a flat network, moving any existing IP address from the interface to the newly created bridge. This is very helpful in some cases, but there are other cases where the ability to use a pre-existing bridge is needed. For instance, the same physical network might need to be bridged for other purposes, or the agent moving the system's IP might not be desired.

I suggest we add a physical_bridge_mappings configuration variable, similar to that used by the openvswitch agent, alongside the current physical_interface_mappings variable. When a bridge for a flat network is needed, the bridge mappings would be checked first. If a bridge mapping for the physical network exists, it would be used. If not, the interface mapping would be used and a bridge for the interface would be created automatically. Sub-interfaces and bridges for VLAN networks would continue to work as they do now, created by the agent using the interface mappings.

Comment 5 Nir Yechiel 2014-04-02 08:17:50 EDT
linuxbridge is considered low priority hence I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.